
TYPO3.Flow - Bug # 6162

Status: Resolved Priority: Should have
Author: Tommy Seus Category: Reflection
Created: 2010-01-22 Assigned To: Karsten Dambekalns
Updated: 2010-10-20 Due date:
PHP Version:
Has patch:
Complexity:
Affected Flow version:
Subject: ReflectionService throws a Runtime Notice
Description

Runtime Notice: Only variables should be passed by reference in
/home/clfn/Development/FLOW3/FLOW3_DIst02/trunk/Packages/Framework/FLOW3/Classes/Reflection/ReflectionService.php line
787

00787:      if (current($this->getClassTagValues($className, 'scope')) !== 'prototype') {

Fix:
$vari = $this->getClassTagValues($className, 'scope');
current($vari);

Associated revisions
Revision c6eff186 - 2010-01-22 17:29 - Karsten Dambekalns

[+BUGFIX] FLOW3 (Reflection): Fixed a runtime notice in ReflectionService, fixes #6162.
[~TASK] FLOW3 (Package): Now a single package can be symlinked.

History
#1 - 2010-01-22 17:13 - Karsten Dambekalns
- Category set to Reflection
- Status changed from New to Accepted
- Assigned To set to Karsten Dambekalns
- Target version set to 1.0 alpha 8

Argh, once again I wonder why I didn't get an exception for that notice while trying that out. Thanks for the report.

#2 - 2010-01-22 18:00 - Karsten Dambekalns
- Status changed from Accepted to Resolved
- % Done changed from 0 to 100

Applied in changeset r3754.
